.TH "opal_maffinity_base_segment_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal_maffinity_base_segment_t \- Struct used with opal_maffinity_base_module_set_fn_t.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <maffinity_types.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "void * \fBmbs_start_addr\fP"
.br
.RI "\fIStarting address of segment. \fP"
.ti -1c
.RI "size_t \fBmbs_len\fP"
.br
.RI "\fILength of segment. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Struct used with opal_maffinity_base_module_set_fn_t. 

It describes a section of memory (starting address and length). This is really the same thing as an iovec, but we include a separate type for it for at least 2 reasons:
.PP
1. Some OS's iovec definitions are exceedingly lame (e.g., Solaris 9 has the length argument as an int, instead of a size_t).
.PP
2. We reserve the right to expand/change this struct in the future. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
